Subject: Re: [JGIT PATCH] Fix data corruption in DirCacheIterator when EmptyTreeIterator is used

From: Mark Struberg <[email-masked]>
Date: Tue, 12 May 2009 00:04:06 +0000 (GMT)

Patch tested, jgit status now works on a repo which previously caused the out of bounds exception.

txs and LieGrue,
strub

--- Shawn O. Pearce <[email-masked]> schrieb am Mo, 11.5.2009:

> Von: Shawn O. Pearce <[email-masked]>
> Betreff: Re: [JGIT PATCH] Fix data corruption in DirCacheIterator when EmptyTreeIterator is used
> An: "Robin Rosenberg" <[email-masked]>
> CC: "Mark Struberg" <[email-masked]>, [email-masked]
> Datum: Montag, 11. Mai 2009, 21:44
> Robin Rosenberg <[email-masked]>
> wrote:
> > 
> > Shouldn't we update some unit tests too? The dircache
> must be reliable.
> 
> I see you ignored the remark I put in the cover letter
> below the ---.
> 
> I think we should have unit tests too.  I just can't
> come up with
> a way test the fix to prevent regression.  And I don't
> have any
> more time for it probably the rest of this week.  I'd
> rather have
> the corruption fix in the tree with no test than continue
> to have
> surprising corruption under certain cases.  But if you
> or Mark can
> offer a test, I'd love to have it.
> 
> -- 
> Shawn.
> --
> To unsubscribe from this list: send the line "unsubscribe
> git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>